Bug 435541 - Review Request: xfhell - GTK based Ham Radio application for the Hellschreiber communications mode
Review Request: xfhell - GTK based Ham Radio application for the Hellschreibe...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-01 05:32 EST by Robert 'Bob' Jensen
Modified: 2008-03-16 15:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-14 13:33:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert 'Bob' Jensen 2008-03-01 05:32:17 EST
Spec URL: http://bjensen.fedorapeople.org/pkgs/hams/SPECS/xfhell.spec
SRPM URL: http://bjensen.fedorapeople.org/pkgs/hams/SRPMS/xfhell-1.4-2.fc9.src.rpm
Description: xfhell is a GTK+ application for the "fuzzy" digital amateur radio communication mode known as Hellschreiber. 

This package mock builds for Fedora 7, Fedora 8 and devel on i386 and x86_64. All resulting rpms are rpmlint clean.
Comment 1 Jeroen van Meeuwen 2008-03-01 06:47:02 EST
Source http://5b4az.chronos.org.uk/pkg/hell/xfhell-1.3.tar.gz doesn't match with
the %{version} (xfhell-1.4)
Comment 2 Parag AN(पराग) 2008-03-01 07:01:19 EST
unable verify sources as 1.4 is not available.

Source URL should be
http://5b4az.chronos.org.uk/pkg/hell/%{name}-%{version}.tar.gz

Comment 3 Parag AN(पराग) 2008-03-01 07:08:26 EST
make changes. provides new SRPM. Will review then.
Comment 4 Robert 'Bob' Jensen 2008-03-01 13:50:41 EST
Do NOT package when tired... sorry about that.

Spec URL: http://bjensen.fedorapeople.org/pkgs/hams/SPECS/xfhell.spec
SRPM URL: http://bjensen.fedorapeople.org/pkgs/hams/SRPMS/xfhell-1.4-3.fc9.src.rpm
Comment 5 Jeroen van Meeuwen 2008-03-02 11:49:58 EST
RPM Lint: OK
Package name: OK
Spec file: OK
License: OK (GPLv2+)
Actual License: OK (GPLv2+ from source code)
%doc License: OK (COPYING file included)
Spec file language: OK
Spec file readable: OK
Upstream source vs. used tarball: OK (md5sum match after figuring out the exact
location of the upstream tarball)
Compile and Build:
 - F-7: OK
 - F-8: OK
 - rawhide: OK
 - EL-5: OK
 - koji scratch dist-f9: OK
Applicable Package Guidelines:
 - -debuginfo package: OK (~136K)
Locales: N/A
Shared libs: N/A
Relocatable: N/A
Directory and file ownership: OK
No duplicate files in %files: OK
File Permissions: OK
Macro usage: OK
Code vs. Content: OK
(Large) Documentation: OK
%doc affecting runtime: OK
Header files in -devel package: N/A
Static Libraries in -static package: N/A
pkgconfig Requires: N/A
Library files: N/A
Devel requires base package: N/A
.la libtool archives: N/A
Duplicate ownership of files/directories: OK
Remove BuildRoot: OK
UTF-8 filenames: OK

Please adjust Source0 location to
http://5b4az.chronos.org.uk/pkg/%{name}/%{name}-%{version}.tar.gz please
Comment 7 Parag AN(पराग) 2008-03-02 22:49:12 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=485859 
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
ecaf2a9a48478f45d56bffac35773a82  xfhell-1.4.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Desktop file installed correctly.
+ a GUI app.

 SHOULD:
   Ask upstream to add license file in next upstream tarball release.

APPROVED.
Comment 8 Robert 'Bob' Jensen 2008-03-03 00:34:45 EST
New Package CVS Request
=======================
Package Name: xfhell
Short Description: GTK based Ham Radio application for the Hellschreiber
communications mode
Owners: bjensen,sconklin
Branches: F-7 F-8
InitialCC: sindrepb
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-03-03 15:14:34 EST
cvs done.
Comment 10 Parag AN(पराग) 2008-03-12 23:14:57 EDT
so is this package built on all requested brnaches?
If yes can we CLOSE this review?
Comment 11 Robert 'Bob' Jensen 2008-03-14 12:10:31 EDT
I requested cvs and got sidetracked, then forgot, I will build and close today.
Comment 12 Fedora Update System 2008-03-14 13:28:19 EDT
xfhell-1.4-4.fc8 has been submitted as an update for Fedora 8
Comment 13 Fedora Update System 2008-03-14 13:29:39 EDT
xfhell-1.4-4.fc7 has been submitted as an update for Fedora 7
Comment 14 Robert 'Bob' Jensen 2008-03-14 13:33:30 EDT
Thank you for the review and reminder.
Comment 15 Fedora Update System 2008-03-16 15:30:15 EDT
xfhell-1.4-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2008-03-16 15:30:20 EDT
xfhell-1.4-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.